This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 589681 - qemu dies with an assert message. (Reproduced, twice)
qemu dies with an assert message. (Reproduced, twice)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 13:08 EDT by Gilboa Davara
Modified: 2013-01-09 06:34 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:09:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2010-05-06 13:08:23 EDT
F13/i686 guest running under a F12/x86_64 host.
During boot, qemu sent out an assert message and crashed.
Abrt refused to generate a bug report due to report size. (Whatever that means)

Host: Fedora 12/x86_64.
Guest: Fedora 13/i686 (2GB, 2CPUs).
Hardware: 2 x Xeon L5530, 12GB, 9800GTX/512MB, nVidia proprietary driver.

Assert message:
qemu-kvm: /builddir/build/BUILD/qemu-kvm-0.12.3/hw/ide/internal.h:507: bmdma_active_if: Assertion `bmdma->unit != (uint8_t)-1' failed.

qemu version:
$ rpm -qa | grep qemu
qemu-common-0.12.3-4.fc12.x86_64
qemu-system-mips-0.12.3-4.fc12.x86_64
qemu-launcher-1.7.4-7.fc12.noarch
qemu-img-0.12.3-4.fc12.x86_64
qemu-system-m68k-0.12.3-4.fc12.x86_64
qemu-kvm-0.12.3-4.fc12.x86_64
qemu-system-ppc-0.12.3-4.fc12.x86_64
qemu-system-sh4-0.12.3-4.fc12.x86_64
qemu-system-sparc-0.12.3-4.fc12.x86_64
qemu-system-cris-0.12.3-4.fc12.x86_64
qemu-system-arm-0.12.3-4.fc12.x86_64
qemu-system-x86-0.12.3-4.fc12.x86_64
gpxe-roms-qemu-0.9.9-1.20091018git.fc12.noarch
qemu-user-0.12.3-4.fc12.x86_64
qemu-0.12.3-4.fc12.x86_64

- Gilboa
Comment 1 Gilboa Davara 2010-05-06 13:09:03 EDT
Forgot to add:

qemu command line:
qemu-kvm -cdrom /dev/sr0 -serial telnet::9006,server,nowait -soundhw es1370
-net nic,vlan=1,macaddr=00:E0:81:B0:FB:06,model=e1000 -net
tap,vlan=1,ifname=tap60 -net nic,vlan=2,macaddr=00:E0:81:B0:FB:16,model=e1000
-net tap,vlan=2,ifname=tap61-m2048 -name Fedora-i386-F13 -hda
/usr/drives/kvm/Fedora-i386/Fedora-i386-F13.img -smp2 -usb -usbdevice tablet
-vga vmware -vnc :6 -boot c
Comment 2 Gilboa Davara 2010-06-29 09:32:04 EDT
Managed to reproduce the bug, using F13/x86_64 and a CentOS 5.5 x86_64 guest.

Starting HAL daemon: qemu-kvm: /builddir/build/BUILD/qemu-kvm-0.12.3/hw/ide/internal.h:507: bmdma_active_if: Assertion `bmdma->unit != (uint8_t)-1' failed.


qemu command line:
qemu-kvm
-cdrom/dev/ sr0
-serial telnet::9007,server,nowait
-net nic,vlan=1,macaddr=00:E0:81:B0:FB:07,model=e1000
-net tap,vlan=1,ifname=tap70
-net nic,vlan=2,macaddr=00:E0:81:B0:FB:17,model=e1000
-net tap,vlan=2,ifname=tap71
-net nic,vlan=3,macaddr=CE:5D:1F:B1:38:27,model=e1000
-net tap,vlan=3,ifname=tap72
-m 3072
-name lisa-demo.com
-hda /usr/drives/kvm/lisa-demo.com/lisa-demo.com.img
-smp 2
-usb -usbdevicetablet
-vga std
-vnc:7
-snapshot
-boot c
Comment 3 Bug Zapper 2010-11-03 11:29:05 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Gilboa Davara 2010-11-04 07:07:12 EDT
Managed to reproduce it twice under F13.

- Gilboa
Comment 5 Bug Zapper 2011-06-02 10:24:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Gilboa Davara 2011-06-04 14:32:14 EDT
Can't seem to reproduce it under F14/15. Please close.
Comment 7 tuhongj 2011-06-17 21:41:08 EDT
It is still a severe problem on RHEL6.1, it is quite easy to reproduce:
1. virsh suspend instance_id
2. virsh resume instance_id
Then you will find the instance is gone!!! with this assertion in the qemu's instance log:
qemu-kvm: /builddir/build/BUILD/qemu-kvm-0.12.1.2/hw/ide/internal.h:517: bmdma_active_if: Assertion `bmdma->unit != (uint8_t)-1' failed.
Also this in /var/log/messages:
Jun 17 14:34:17 r002idp018 abrt[20851]: saved core dump of pid 29187 (/usr/libexec/qemu-kvm) to /var/spool/abrt/ccpp-1308292435-29187.new/coredump (2163900416 bytes)

The call stack of that call core file:
#0  0x000000376c232a45 in raise () from /lib64/libc.so.6
#1  0x000000376c234225 in abort () from /lib64/libc.so.6
#2  0x000000376c22b9d5 in __assert_fail () from /lib64/libc.so.6
#3  0x000000000043e3da in bmdma_active_if (opaque=0x371ffe0) at /usr/src/debug/qemu-kvm-0.12.1.2/hw/ide/internal.h:517
#4  ide_dma_restart_bh (opaque=0x371ffe0) at /usr/src/debug/qemu-kvm-0.12.1.2/hw/ide/core.c:696
#5  0x00000000004115ed in qemu_bh_poll () at /usr/src/debug/qemu-kvm-0.12.1.2/async.c:150
#6  0x000000000040bbd1 in main_loop_wait (timeout=1000) at /usr/src/debug/qemu-kvm-0.12.1.2/vl.c:4472
#7  0x000000000042b55a in kvm_main_loop () at /usr/src/debug/qemu-kvm-0.12.1.2/qemu-kvm.c:2164
#8  0x000000000040ef55 in main_loop (argc=<value optimized out>, argv=<value optimized out>, envp=<value optimized out>)
    at /usr/src/debug/qemu-kvm-0.12.1.2/vl.c:4640
#9  main (argc=<value optimized out>, argv=<value optimized out>, envp=<value optimized out>)
    at /usr/src/debug/qemu-kvm-0.12.1.2/vl.c:6845

We need to ship our product based on RHEL6.1, and this is a real severe problem which will block our shipment, it will be nice to fix it as soon as possible, otherwise we have to switch to other OS or xen.
Comment 8 Amit Shah 2011-06-18 00:16:44 EDT
(In reply to comment #7)
> It is still a severe problem on RHEL6.1, it is quite easy to reproduce:

This is a fedora bug; for tracking RHEL problems, please open (or clone) this bug against the RHEL component with the qemu-kvm version in use.
Comment 9 Bug Zapper 2011-06-27 12:09:02 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.